import VapiWrapper from './../VapiWrapper'
import Kategoria from './../models/Kategoria'

export default class KategorieStore extends VapiWrapper {
  constructor (baseUrl) {
    super (
      baseUrl,
      {
        state: {
          kategoria: new Kategoria({}),
          kategorie: []
        }
      }
    )
    .get({
      action: 'ziskajKategorie',
      property: 'kategorie',
      path: () => `/kategorie`,
      onSuccess: (state, payload) => {
        if (Array.isArray(payload.data.data)) {
          state.kategorie = payload.data.data.map((kategoria) => {
            return new Kategoria(kategoria)
          })
        } else {
          state.kategorie = []
        }
      }
    })
  }
}
